io_uring_enable_rings(3)

NAME
io_uring_enable_rings - enable a disabled ring

SYNOPSIS
#include <liburing.h>

int io_uring_enable_rings(struct io_uring *ring);

DESCRIPTION

The io_uring_enable_rings(3) function enables a ring after having created it with the IORING_SETUP_R_DISABLED flag to io_uring_queue_init(3)

It is not possible to submit work to such a ring until this function has been successfully called.

RETURN VALUE
io_uring_enable_rings(3) returns 0 on success. It otherwise returns a negative error code. It does not write to errno.

ERRORS

EBADFD
    The ring was not disabled.

SEE ALSO
io_uring_queue_init(3), io_uring_register(2), io_uring_setup(2)